## org.apache.batik.dom.svg
Class AbstractSVGTransformList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGTransformList

All Implemented Interfaces:
  org.w3c.dom.svg.SVGTransformList

Direct Known Subclasses:
  SVGOMAnimatedTransformList.AnimSVGTransformList, SVGOMAnimatedTransformList.BaseSVGTransformList

    public abstract class AbstractSVGTransformList

extends AbstractSVGList
implements org.w3c.dom.svg.SVGTransformList

This class is the implementation of `SVGTransformList`.

Nested Class Summary
`protected class` `AbstractSVGTransformList.SVGTransformItem` An `SVGTransform` in the list.
`protected class` `AbstractSVGTransformList.TransformListBuilder` Helper class to interface the `TransformListParser` and the `ListHandler`.

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static java.lang.String` `SVG_TRANSFORMATION_LIST_SEPARATOR` Separator for a point list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`AbstractSVGTransformList()`

Method Summary
`org.w3c.dom.svg.SVGTransform` `appendItem(org.w3c.dom.svg.SVGTransform newItem)` DOM: Implements `SVGTransformList.appendItem(SVGTransform)`.
`protected void` `checkItemType(java.lang.Object newItem)` Asserts that the given item is an `SVGTransformList`.
`org.w3c.dom.svg.SVGTransform` `consolidate()` DOM: Implements `SVGTransformList.consolidate()`.
`protected abstract org.w3c.dom.svg.SVGException` `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` `createSVGItem(java.lang.Object newItem)` Creates a new `SVGItem` object from the given `SVGTransform`.
`org.w3c.dom.svg.SVGTransform` `createSVGTransformFromMatrix(org.w3c.dom.svg.SVGMatrix matrix)` DOM: Implements `SVGTransformList.createSVGTransformFromMatrix(SVGMatrix)`.
`protected void` `doParse(java.lang.String value, ListHandler handler)` Parse the attribute associated with this SVGTransformList.
`java.awt.geom.AffineTransform` `getAffineTransform()` Returns an `AffineTransform` that represents the same transform as that specified by this transform list.
`org.w3c.dom.svg.SVGTransform` `getItem(int index)` DOM: Implements `SVGTransformList.getItem(int)`.
`protected java.lang.String` `getItemSeparator()` Return the separator between transform in the list.
`org.w3c.dom.svg.SVGTransform` `initialize(org.w3c.dom.svg.SVGTransform newItem)` DOM: Implements `SVGTransformList.initialize(SVGTransform)`.
`org.w3c.dom.svg.SVGTransform` `insertItemBefore(org.w3c.dom.svg.SVGTransform newItem, int index)` DOM: Implements `SVGTransformList.insertItemBefore(SVGTransform,int)`.
`org.w3c.dom.svg.SVGTransform` `removeItem(int index)` DOM: Implements `SVGTransformList.removeItem(int)`.
`org.w3c.dom.svg.SVGTransform` `replaceItem(org.w3c.dom.svg.SVGTransform newItem, int index)` DOM: Implements `SVGTransformList.replaceItem(SVGTransform,int)`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGTransformList
`clear, getNumberOfItems`

Field Detail

### SVG_TRANSFORMATION_LIST_SEPARATOR

    public static final java.lang.String SVG_TRANSFORMATION_LIST_SEPARATOR

  Separator for a point list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGTransformList

    public AbstractSVGTransformList()

Method Detail

### getItemSeparator

    protected java.lang.String getItemSeparator()

  Return the separator between transform in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`

### createSVGException

    protected abstract org.w3c.dom.svg.SVGException createSVGException(short type,
                                                                       java.lang.String key,
                                                                       java.lang.Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### initialize

    public org.w3c.dom.svg.SVGTransform initialize(org.w3c.dom.svg.SVGTransform newItem)
                                            throws org.w3c.dom.DOMException,
                                                   org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.initialize(SVGTransform)`.

  Specified by:
    `initialize` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### getItem

    public org.w3c.dom.svg.SVGTransform getItem(int index)
                                         throws org.w3c.dom.DOMException

  DOM: Implements `SVGTransformList.getItem(int)`.

  Specified by:
    `getItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public org.w3c.dom.svg.SVGTransform insertItemBefore(org.w3c.dom.svg.SVGTransform newItem,
                                                         int index)
                                                  throws org.w3c.dom.DOMException,
                                                         org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.insertItemBefore(SVGTransform,int)`.

  Specified by:
    `insertItemBefore` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### replaceItem

    public org.w3c.dom.svg.SVGTransform replaceItem(org.w3c.dom.svg.SVGTransform newItem,
                                                    int index)
                                             throws org.w3c.dom.DOMException,
                                                    org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.replaceItem(SVGTransform,int)`.

  Specified by:
    `replaceItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### removeItem

    public org.w3c.dom.svg.SVGTransform removeItem(int index)
                                            throws org.w3c.dom.DOMException

  DOM: Implements `SVGTransformList.removeItem(int)`.

  Specified by:
    `removeItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public org.w3c.dom.svg.SVGTransform appendItem(org.w3c.dom.svg.SVGTransform newItem)
                                            throws org.w3c.dom.DOMException,
                                                   org.w3c.dom.svg.SVGException

  DOM: Implements `SVGTransformList.appendItem(SVGTransform)`.

  Specified by:
    `appendItem` in interface `org.w3c.dom.svg.SVGTransformList`
  Throws:
    `org.w3c.dom.DOMException`
    `org.w3c.dom.svg.SVGException`

### createSVGTransformFromMatrix

    public org.w3c.dom.svg.SVGTransform createSVGTransformFromMatrix(org.w3c.dom.svg.SVGMatrix matrix)

  DOM: Implements `SVGTransformList.createSVGTransformFromMatrix(SVGMatrix)`.

  Specified by:
    `createSVGTransformFromMatrix` in interface `org.w3c.dom.svg.SVGTransformList`

### consolidate

    public org.w3c.dom.svg.SVGTransform consolidate()

  DOM: Implements `SVGTransformList.consolidate()`.

  Specified by:
    `consolidate` in interface `org.w3c.dom.svg.SVGTransformList`

### getAffineTransform

    public java.awt.geom.AffineTransform getAffineTransform()

  Returns an `AffineTransform` that represents the same transform as that specified by this transform list.

### createSVGItem

    protected SVGItem createSVGItem(java.lang.Object newItem)

  Creates a new `SVGItem` object from the given `SVGTransform`.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - the SVG object
  Returns:
    the newly created `SVGItem` object

### doParse

    protected void doParse(java.lang.String value,
                           ListHandler handler)
                    throws ParseException

  Parse the attribute associated with this SVGTransformList.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - the transform list attribute value
    `handler` - transform list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(java.lang.Object newItem)

  Asserts that the given item is an `SVGTransformList`.

  Specified by:
    `checkItemType` in class `AbstractSVGList`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.